thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James E. King III (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (THRIFT-4732) increase cmake minimal required version and cleanup cmake scripts
Date Fri, 11 Jan 2019 16:14:00 GMT

    [ https://issues.apache.org/jira/browse/THRIFT-4732?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16740525#comment-16740525
] 

James E. King III commented on THRIFT-4732:
-------------------------------------------

That feature requires cmake 3.4.

> increase cmake minimal required version and cleanup cmake scripts
> -----------------------------------------------------------------
>
>                 Key: THRIFT-4732
>                 URL: https://issues.apache.org/jira/browse/THRIFT-4732
>             Project: Thrift
>          Issue Type: Improvement
>            Reporter: yuanyuan chen
>            Priority: Major
>
> In order to use modern cmake syntax to cleanup building scripts and add shared library
support on Windows by using [[windows_export_all_symbol| https://cmake.org/cmake/help/v3.13/prop_tgt/WINDOWS_EXPORT_ALL_SYMBOLS.html].|https://cmake.org/cmake/help/v3.13/prop_tgt/WINDOWS_EXPORT_ALL_SYMBOLS.html]
> So I think it is a good idea to increase cmake minimal required version.May be 3.10 is
a good alternative version?
> h1.  
>  



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message